﻿using System.Collections.Generic;
using HeuristicLab.Common;
using HeuristicLab.Core;
using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;

namespace HeuristicLab.Clients.Hive.Views {
  [StorableClass]
  public class StateLogItemList : ItemList<StateLogItem> {

    [StorableConstructor]
    protected StateLogItemList(bool deserializing) : base(deserializing) { }
    public StateLogItemList() : base() { }
    protected StateLogItemList(StateLogItemList original, Cloner cloner) : base(original, cloner) { }
    public StateLogItemList(IEnumerable<StateLogItem> collection)
      : base(collection) {
    }
    public override IDeepCloneable Clone(Cloner cloner) {
      return new StateLogItemList(this, cloner);
    }

  }
}
